### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# XEmacLite_Config Struct Reference

## Detailed Description

This typedef contains configuration information for a device.

## Data Fields
u16 | DeviceId
u32 | BaseAddress
u8 | TxPingPong
u8 | RxPingPong
u8 | MdioInclude
u8 | Loopback

## Field Documentation

u32 XEmacLite_Config::BaseAddress

| Device base address

u16 XEmacLite_Config::DeviceId

| Unique ID of device

u8 XEmacLite_Config::Loopback

| 1 if internal loopback is enabled, 0 otherwise

u8 XEmacLite_Config::MdioInclude

| 1 if MDIO is enabled, 0 otherwise

u8 XEmacLite_Config::RxPingPong

| 1 if RX Pong buffer configured, 0 otherwise

u8 XEmacLite_Config::TxPingPong

| 1 if TX Pong buffer configured, 0 otherwise

The documentation for this struct was generated from the following file:

- xemaclite.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.